KDE 4.9 PyKDE API Reference

- KDE's Python API

# ConfigDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Sonnet

## Detailed Description

## Signals

| configChanged ()
| languageChanged (QString language)

## Methods

| __init__ (self, KConfig config, QWidget parent)
| __init__ (self, Sonnet.ConfigDialog a0)
QString | language (self)
| setLanguage (self, QString language)
| slotApply (self)
| slotOk (self)

## Signal Documentation

configChanged | ( |  | ) |

This is emitted when configChanged

Since:
  4.8.1

Signal syntax:
  `QObject.connect(source, SIGNAL("configChanged()"), target_slot)`

languageChanged | ( | QString | language
| ) |  |  |

This is emitted all the time when we change config and not just language

Parameters:

  | language | the language which the user has selected

Since:
  4.1

Signal syntax:
  `QObject.connect(source, SIGNAL("languageChanged(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | KConfig | config,
|  | QWidget | parent
| ) |  |  |

__init__ | ( | self, |
|  | Sonnet.ConfigDialog | a0
| ) |  |  |

QString language | ( |  | self ) |

return selected language

Since:
  4.8.1

setLanguage | ( | self, |
|  | QString | language
| ) |  |  |

Sets the language/dictionary that will be selected by default in this config dialog. This overrides the setting in the config file.

Parameters:

  | language | the language which will be selected by default.

Since:
  4.1

slotApply | ( |  | self ) |

slotOk | ( |  | self ) |